<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sien.common.mapper.DonationAgentMapper">

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
        id, fk_user_id, fk_record_id, remark, create_time, update_time
    </sql>

        <select id="getDonationAgentById" resultType="com.sien.common.vo.DonationAgentQueryVo">
            select
            <include refid="Base_Column_List"/>
            from donation_agent where id = #{id}
        </select>

        <select id="getDonationAgentPageList" parameterType="com.sien.common.param.DonationAgentPageParam" resultType="com.sien.common.vo.DonationAgentQueryVo">
            select
            <include refid="Base_Column_List"/>
            from donation_agent
        </select>

</mapper>
